Name:           ssh-audit
Version:        3.0.0
Release:        1%{?dist}
Summary:        An SSH server & client configuration security auditing tool

License:        MIT
URL:            https://github.com/jtesta/ssh-audit
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source:         %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz.sig
# Ideally this would be hosted not next to the sources, but, I cannot find one
Source:         %{url}/releases/download/v%{version}/jtesta_2020-2025.asc

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  gnupg2
BuildRequires:  pytest

%description
ssh-audit is an SSH server & client security auditing (banner, key exchange,
encryption, mac, compression, compatibility, security, etc)

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

%autosetup -n ssh-audit-%{version}

# Remove bundled egg-info
rm -rf %{name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
# importable module is underscore :)
%pyproject_save_files ssh_audit

install -t %{buildroot}%{_mandir}/man1 -Dpm 0644 ssh-audit.1

%check
# Upstream uses tox, but doesn't have definitions for py3.12 yet
%pytest

%files -f %{pyproject_files}
%doc README.md
%{_mandir}/man1/ssh-audit.1*
%{_bindir}/ssh-audit

%changelog
* Thu Oct 19 2023 Neil Hanlon <neil@shrug.pw> - 3.0.0-1
- add in man page
- remove %license as it's already picked up
- switch to pytest for now

* Mon Oct 16 2023 Neil Hanlon <neil@shrug.pw> - 3.0.0-1
- switch to new python macros
- add %gpgverify
- add in %check section to run tox / import tests

* Sun Oct 15 2023 Neil Hanlon <neil@shrug.pw> - 3.0.0-1
- Initial package.
